#
# spec file for package javadict (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         javadict
Copyright:    GPL
Group:        X11/Applications
Requires:     edict, java
Autoreqprov:  on
Version:      1.1
Release:      142
URL:          http://www.cs.arizona.edu/japan/JavaDict/
Source0:      http://www.cs.arizona.edu/japan/JavaDict/download/JavaDict-contest.tar.bz2
Source1:      javadict.sh
BuildArchitectures: noarch
BuildRoot:    /var/tmp/%{name}-root
Summary:      Japanese/English dictionary lookup tool featuring handwriting recognition.

%description
JavaDict is a Japanese/English dictionary and character dictionary
browser (for Jim Breen's EDICT dictionary) featuring handwriting
recognition-based character lookup.
It is portable, easy to use, and primarily intended for use by
English-speaking students of Japanese (or Japanese-speaking students
of English).

Authors:
--------
    Todd David Rudick <trudick@hotmail.com>

SuSE series: j

%prep 
%setup -c %{name}-%{version} -n %{name}-%{version}

%build

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
# install startscript:
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/X11R6/bin/javadict
# install Java stuff:
mkdir -p $RPM_BUILD_ROOT/usr/lib/javadict
cp -a  ./* $RPM_BUILD_ROOT/usr/lib/javadict
# remove docs in installed tree (because they will also be in
# %{_defaultdocdir}/%{packagename}:
for i in COPYING READ.ME README.html docs/
do
    rm -rf $RPM_BUILD_ROOT/$i
done
# make symbolic links to the dictionaries from the "edict" package:
for i in enamdict edict jddict.v02 pandpdic geodic lingdic concrete \
         classical aviation j_places kanjidic compverb mktdic compdic \
         kanjd212 edicth 4jwords findic
do
    ln -s -f /usr/share/edict/$i $RPM_BUILD_ROOT/usr/lib/javadict/$i
done
	 	 

%files
%doc COPYING READ.ME README.html docs/
/usr/X11R6/bin/javadict
/usr/lib/javadict/*

%changelog -n javadict
* Mon May 07 2001 - mfabian@suse.de
- bzip2 source
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Tue Sep 26 2000 - mfabian@suse.de
- new package javadict 1.1
